## quake2 0.1-1

=== debian/changelog ===
quake2 (0.1-1) unstable; urgency=low

  * Initial release

 -- CepiPerez <cepiperez@gmail.com>  Mon, 12 Apr 2010 19:56:22 -0300
