=== debian/control ===
Source: quake2
Section: user/games
Priority: extra
Maintainer: CepiPerez <cepiperez@gmail.com>
Build-Depends: libsdl1.2-dev, debhelper (>= 5)
Standards-Version: 3.7.2

Package: quake2
Architecture: armel
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Quake II port.
 A first-person shooter computer game developed by id Software and distributed by Activision.
 To run the game copy pak0.pak from original game to /home/user/.quake2/baseq2 folder.
XSBC-Bugtracker: mailto:cepiperez@gmail.com
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAAAXNSR0IArs4c
 6QAAAAZiS0dEAP8A/wD/oL2nkwAAAAlwSFlzAAALEwAACxMBAJqcGAAAAAd0
 SU1FB9oEDRcVC8GVYZ0AAAlqSURBVGje1Zl9VFP3Gce/v9x783ITEhLICxBQ
 EASxqAhYZJW2vFit2GpVWqvVtb7V2rV2bffSc+Y57WltN7eedqdz7bHdznrq
 anFW7YubTG2Pdg5lowMVEBJCSCCBBJKQhLzd5O6PHnroNp1BoPT71y+5z31+
 z+c8z/n9zvNcYBza+dz60SW1fMNdyuqVVSReH4vKCwR331+uAyAAgJzS2eMJ
 5auX49Vv976PokW5pc+/+/x70Si3p6+7TxyvD46LioP+0LM/eH3L7wHkdTZ0
 YNK1oHgBAKBiXcmTDzx1z1DhkqKajc8+IBmvv4rFxYKchVlLnvrNVnflttId
 ACChxRMf+J1VpaNLZu3Oew7s2vvQJQCiifKfys5M+OHrO3pvr128Z7xV8X/F
 AopNv9hS//gb208DkEzCFqpN+zZe3fZKzYHJiJ9+7JVNB8pW3moY/WNe0dwJ
 c15YPufrDG998f7Yiicrn7nRd6kbMardsbxMpFC8QYskxa0NrW4A6Lc5JgzA
 bnaOLmOhsPdkZn7KB5EAOeTsHRqckFNIIBKc84XD7/zptcPmyT0mCK58Ebmo
 0iTX5d6aeWRCXD606976H594IpCZkbsUU6ecX1/8qV+l1D5xsxnQRanAAsMF
 h9XUc7V+CgE6eSJ2bHhp5dM3BVC7dc267KXF6v4G8weYYrUcaTutLlOmlVUW
 rxkvgIhNYpaE/H58cfL86akGOPVW4+fpei2lL9WWjQtgUcXCBFosKtXKdADQ
 MtUAZpexJWgOQsJIJdeL85oPtOmqRCaBSrd19gLAIKZefT2mfo88nVlVs3Op
 6poX1LUeMDKGVaSJwFNSfEsaltEiRVgOQifR8Weg40pvNhWTIhjkvy0AHTsz
 CVRUKTdc6J4dN0DE66fISASBPu+3UT7Iyy8od5mtGOixY8bcWY64AVL0apPH
 54E2V6JatqJ691QDbH6k8r6AKoLUmekYtrrVcQOIxGKXzxsBRDSZtWzO2qkG
 cMo889LkaXCZnf9MGVE2xw3ADXAj9hZbxGLoQ+Jcdv5MfXrJVAW/cXPtMq87
 pkOQQChPcNad+CgaN0C33R6MsowxZhuGOk8r2/KrHauuZbvt2Q1xB1lTu/La
 7aYuUp2/NIsViUVIkImdACJxH6PGNoO3tDr/fFJOWt65F45DPSd7d3lVyZtn
 TzVa/tP2wL6DWPtITWeERi8tJ4GYgIqQYEShZNmFUSL1+cJDtgjHRCIBp0xF
 aRS+4bDh2MHjd4z1sWrVGhw7dgSFJQtnqxLkte7hIAg/GDY1uz+9HsB1pwmz
 Z2TlZ9026w+V68uKDZZuODp9hz989UjtNcwVtY/Vbp9ZqXlFopcLfCYbAh2x
 866om84q0y2CG/CPhLxnX2ivbjI1XOB5HoR8c/uy/OV58x9MrMu+c36BLEnJ
 c8Me565FP8oDMBR3CVUtK0eHuas1PSXFbu41wN1uR0qebl315opD13jFU7e/
 7oTb4vU4Ggy8gKXReLFlb9PxtoOGP1vR3mRAOBDrbzI1XADwX8EDIBU78+p0
 t6QWhHkvHwo4yPHnT711veCvC3DqL2e/Ko9fvrsr5mKgX5QBKUPz+sKk2rWP
 rnoVIFIAWFDyjdayzdk9NOJxciTg4JAxJ9NICaLtrEQMVUyLYCjCjTVuOH/m
 qxMPUtUzL+8+2R+2F2jzs6CVaQgxy4fqP63/mT1svemOrOfj/fUPdpw0gpFx
 xNrkJLNK055a//Tyw0phYva/Gq+MtRVSbIRIWSHAxyCQcUyYCycyMoKILAiH
 2dk31ri0rAJ3FVXdtv+TfR/rbkuuTivN5J0mBxiRgvvrgaNrAEAn1N8cQEqa
 GpaevvddRverX/yxCZnz9RD6GD4xV7t89U9WHAMgHGPOp+hmkP5uN++0uhCN
 ER8tEnFRnkEoSiARMLKxvtdvvHfv99978ERSRU6ZIEYjGuJBswK0Hrn84kef
 fvb5HWXFN9CExqHdLz9a12vtnydXMbmuy71Qz9VBrtVgyOW2nv6g4aHuK6bP
 H33u/kuUHLfECAdLpzurs6WrcPUTlUfCHgFczqFO799ybulwHl1dtbn8zbSS
 jERRtoS3XjARIa3wDRo94fmivDPbtz2+7sa76DiVlJxUUrOh8iKoEURDQmgK
 E3heQpHhrpEoCZN3FBnSTf5YSEyiUV4UJQf7LF5lwffSV/hGeESpaNDXG+By
 S+fJ/OwAggMcHwr4SWKKCkOtw96rB81bP6n/pC6eeKh4AWSpGntfh62ranvp
 qmHzCCEiHjLIIGUh4BNR5LB5aCVNA4SAcwfms6KE2YM2F0/zDJTJCUxfm10Y
 HvFBoU2GUCoGH6Og1OhJ14dXn6s79OHb8c8xxq85D7yw+ndpOm0BRwsiYUEo
 cfHqIjQdvYzBS1Y+OUtL/G4v3B0BiOUxsHIZBvwOPntBDsIQEUWKDD6HJ6CI
 iE17Ht53NwDz/7obJmU6rU5OBYC2Q3uOLr56wrT89Uf2365J1LjsLQ6EbUNw
 dgyT4VY77+h0QJPEIgie93uDfHF1IdEX5RHiGzERb/Bt90XvfXse3jcXgJn8
 77thUjPwDVWuuVNts9jnVK5bcsxrH1QKZEIYW7utGpWOTc2WqyyXBsDoWNuA
 1VFTnLXQvO/F1zwAuJsfhU2slNtfWtNGR0Raf8ALfcEsXd3Pj1Ut21L6ntvo
 h3ShtvvNh9/OnMgNJ3yUzaapERUSnkpgceFcs5JQFEOLWMhUyfBaXRPen9IT
 7M+VKIh6+lwuLTcQjiQlqb2q2xVn7J0OyDgWAh0dnmiAic5AAiNOlkt4CSip
 kOFCIcrUbLkvPVcPl8CFBEmSYLoDjLQ3mXlNgZ5X52jAS4mAj3K9PAgUcg1i
 goh7ugNE9TPS7C5nP3GZnTzLqMIp2do2IuAhEPrhtASN0x0A9i5Ly9WzJvAU
 ZbA0GoKz8+e6bCYPZBkqDLX2n5v2AG5roKdoSyHkalWzrXHAb7jSGfBxw4bk
 1HScOVF/cbqfQmj+7PLf6QwCVimzd7jaw8nGNKFCxPd/ebI1G0D7tM9Al914
 eVZ2HoiIGQTAnz93OqxWJ9nlcrkPgG/aAwCweUMucEPc6Pe0SIJC6h7os/9j
 MmZIkwHAMTF6qLXVOPrpMaZWq4dFUUH3ZADQk+H0cmP7Z4mU7OtyGYyGLMZW
 s/U7A4AA09zd1t4z+vPLw1+2d10xufFd0YzMmdKx5amQSBkhRVOTsde/ATFm
 1eSv3LaQAAAAAElFTkSuQmCC
