## quake2 0.3-1

=== debian/changelog ===
quake2 (0.3-1) unstable; urgency=low

  * Fix post installation script (again) :P

 -- CepiPerez <cepiperez@gmail.com>  Mon, 12 Apr 2010 19:56:22 -0300
