## quake2 0.3-2

=== debian/changelog ===
quake2 (0.3-2) unstable; urgency=low

  * Fix post installation script (again, adding permissions)

 -- CepiPerez <cepiperez@gmail.com>  Mon, 12 Apr 2010 19:56:22 -0300
