## quake2 0.3-3

=== debian/changelog ===
quake2 (0.3-3) unstable; urgency=low

  * Added keyboard layout support

 -- CepiPerez <cepiperez@gmail.com>  Wed, 21 Apr 2010 15:36:18 -0300
